Bug 1733942 - [fc29] engine-setup fails on 'Misc configuration' stage
Summary: [fc29] engine-setup fails on 'Misc configuration' stage
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Setup.Engine
Version: ---
Hardware: Unspecified
OS: Unspecified
low
medium vote
Target Milestone: ovirt-4.4.0
: ---
Assignee: Nir Levy
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 09:47 UTC by Daniel Erez
Modified: 2020-02-10 10:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 09:01:53 UTC
oVirt Team: Integration
pm-rhel: ovirt-4.4+


Attachments (Terms of Use)

Description Daniel Erez 2019-07-29 09:47:49 UTC
Description of problem:
engine-setup fails on 'Misc configuration' stage with the following error:
Failed to execute stage 'Misc configuration': a bytes-like object is required, not 'str'

How reproducible:
100%

Additional info:
* Reverting https://gerrit.ovirt.org/102089 seems to solve the issue.
* env: python 3.7 / fedora 29

Comment 1 Sandro Bonazzola 2019-11-13 08:30:32 UTC
Nir can you check if this has been fixed by your patch?

Comment 2 Yedidyah Bar David 2019-11-27 09:01:53 UTC
Was fixed two months ago, closing. Relevant patches:

https://gerrit.ovirt.org/#/q/topic:packaging/setup/unicode 3 patches to engine

https://gerrit.ovirt.org/#/q/topic:unicode 6 patches to otopi


Note You need to log in before you can comment on or make changes to this bug.